---------------------------------------------------------------------
-- File: Cell\RaidDebuffs\RaidDebuffs_WoD.lua
-- Author: enderneko (enderneko-dev@outlook.com)
-- Created : 2022-08-05 16:10:24 +08:00
-- Modified: 2023-07-16 15:39:34 +08:00
---------------------------------------------------------------------

local _, Cell = ...
local F = Cell.funcs

local debuffs = {
    [557] = { -- 德拉诺
        [1291] = { -- 毁灭者多弗
        },
        [1211] = { -- 永恒的塔尔纳
        },
        [1262] = { -- 鲁克玛
        },
        [1452] = { -- 霸主卡扎克
        },
    },

    [477] = { -- 悬槌堡
        ["general"] = {
        },
        [1128] = { -- 卡加斯·刃拳
        },
        [971] = { -- 屠夫
            156152, -- 龟裂创伤
            156147, -- 切肉刀
            156151, -- 捶肉槌
        },
        [1195] = { -- 泰克图斯
        },
        [1196] = { -- 布兰肯斯波
        },
        [1148] = { -- 独眼魔双子
        },
        [1153] = { -- 克拉戈
        },
        [1197] = { -- 元首马尔高克
        },
    },

    [457] = { -- 黑石铸造厂
        ["general"] = {
        },
        [1202] = { -- 奥尔高格
        },
        [1155] = { -- 汉斯加尔与弗兰佐克
        },
        [1122] = { -- 兽王达玛克
        },
        [1161] = { -- 格鲁尔
        },
        [1123] = { -- 缚火者卡格拉兹
        },
        [1147] = { -- 主管索戈尔
        },
        [1154] = { -- 爆裂熔炉
        },
        [1162] = { -- 克罗莫格
        },
        [1203] = { -- 钢铁女武神
        },
        [959] = { -- 黑手
        },
    },

    [669] = { -- 地狱火堡垒
        ["general"] = {
        },
        [1426] = { -- 奇袭地狱火
        },
        [1425] = { -- 钢铁掠夺者
        },
        [1392] = { -- 考莫克
        },
        [1432] = { -- 高阶地狱火议会
        },
        [1396] = { -- 基尔罗格·死眼
        },
        [1372] = { -- 血魔
        },
        [1433] = { -- 暗影领主艾斯卡
        },
        [1427] = { -- 永恒者索克雷萨
        },
        [1391] = { -- 邪能领主扎昆
        },
        [1447] = { -- 祖霍拉克
        },
        [1394] = { -- 暴君维哈里
        },
        [1395] = { -- 玛诺洛斯
        },
        [1438] = { -- 阿克蒙德
        },
    },

    [547] = { -- 奥金顿
        ["general"] = {
        },
        [1185] = { -- 警戒者凯萨尔
        },
        [1186] = { -- 缚魂者尼娅米
        },
        [1216] = { -- 阿扎凯尔
        },
        [1225] = { -- 塔隆戈尔
        },
    },

    [537] = { -- 影月墓地
        ["general"] = {
            398150, -- 统御
            398154, -- 痛苦哀嚎
            152819, -- 暗言术：虚
            156776, -- 虚空撕裂
            153524, -- 瘟疫喷吐
            156718, -- 骨疽爆裂
        },
        [1139] = { -- 莎达娜·血怒
            153224, -- 暗影灼烧
            162652, -- 纯净之月
        },
        [1168] = { -- 纳利什
            153070, -- 虚空灭绝
            153501, -- 虚空冲击
            152800, -- 虚空漩涡
            152979, -- 灵魂撕裂
        },
        [1140] = { -- 骨喉
            153692, -- 死疽沥青
        },
        [1160] = { -- 耐奥祖
            154442, -- 怨毒
            154469, -- 仪式枯骨
        },
    },

    [536] = { -- 恐轨车站
        ["general"] = {
            164192, -- 50000伏特（恐轨技师）
            176147, -- 点燃（格罗姆卡枪手）
            164241, -- 伤口出血（恐轨投弹手）
            166340, -- 雷霆区域
        },
        [1138] = { -- 箭火和波尔卡
        },
        [1163] = { -- 尼托格·雷塔
            160681, -- 火力压制
            166570, -- 熔渣冲击
            167038, -- 熔渣罐
        },
        [1133] = { -- 啸天者托瓦拉
            162065, -- 冰冻诱捕
            162057, -- 蚀骨之矛
            161588, -- 散射能量
        },
    },

    [556] = { -- 永茂林地
        ["general"] = {
        },
        [1214] = { -- 枯木
        },
        [1207] = { -- 远古的保卫者
        },
        [1208] = { -- 大法师索尔
        },
        [1209] = { -- 艾里塔克
        },
        [1210] = { -- 雅努
        },
    },

    [385] = { -- 血槌炉渣矿井
        ["general"] = {
        },
        [893] = { -- 玛格莫拉图斯
        },
        [888] = { -- 守奴人库鲁斯托
        },
        [887] = { -- 罗托尔
        },
        [889] = { -- 戈洛克
        },
    },

    [476] = { -- 通天峰
        ["general"] = {
        },
        [965] = { -- 兰吉特
        },
        [966] = { -- 阿拉卡纳斯
        },
        [967] = { -- 鲁克兰
        },
        [968] = { -- 高阶贤者维里克斯
        },
    },

    [558] = { -- 钢铁码头
        ["general"] = {
            172771, -- 燃烧弹
            172889, -- 冲刺猛击
            164632, -- 燃烧箭
            164648, -- 倒刺箭幕
            172963, -- 破门斩斧
            173489, -- 熔岩喷薄
            158341, -- 龟裂创伤
            173105, -- 锁链旋风
            173149, -- 烈焰之箭
            173307, -- 倒钩长矛
        },
        [1235] = { -- 血肉撕裂者诺格加尔
            164504, -- 威吓
            164837, -- 野蛮重殴
            164734, -- 撕裂重击
        },
        [1236] = { -- 恐轨押运员
            163276, -- 筋腱撕裂
            163740, -- 污血
        },
        [1237] = { -- 奥舍尔
            162415, -- 进食时间
            178156, -- 酸液溅射
        },
        [1238] = { -- 斯古洛克
            168398, -- 急速射击瞄准
        },
    },

    [559] = { -- 黑石塔上层
        ["general"] = {
        },
        [1226] = { -- 折铁者高尔山
        },
        [1227] = { -- 奇拉克
        },
        [1228] = { -- 指挥官萨贝克
        },
        [1229] = { -- 狂野的怒翼
        },
        [1234] = { -- 督军扎伊拉
        },
    },
}

F:LoadBuiltInDebuffs(debuffs)